<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtygis.mapper.TfViewPointManageMapper">

  <resultMap id="tfViewPointManageMap" type="com.tofly.xrtygis.entity.TfViewPointManage">
                <id property="id" column="ID"/>
                                                                                                <result property="createUser" column="CREATE_USER"/>
                      <result property="createTime" column="CREATE_TIME"/>
                      <result property="code" column="CODE"/>
                      <result property="name" column="NAME"/>
                      <result property="photo" column="PHOTO"/>
                      <result property="orderCode" column="ORDER_CODE"/>
                      <result property="viewJson" column="VIEW_JSON"/>
                                                  <association property="createUserName"  column="CREATE_USER" select="com.tofly.xrtygis.mapper.IFileMapper.getUserName" ></association>
                                                                                                                                                                      </resultMap>


                                            
</mapper>
